  
Rect = (function () {
  var cls = function Rect() {
    };
  return cls;
}) ();
exports.Rect = Rect;


_ContactFieldType = function () {
  this.email = 0;
  this.phoneNumber = 1;
  this.location = 2;
  this.instantMessage = 3;
  this.custom = 4;
  this.connectedServiceAccount = 5;
  this.importantDate = 6;
  this.address = 7;
  this.significantOther = 8;
  this.notes = 9;
  this.website = 10;
  this.jobInfo = 11;
}
exports.ContactFieldType = new _ContactFieldType();

_ContactFieldCategory = function () {
  this.none = 0;
  this.home = 1;
  this.work = 2;
  this.mobile = 3;
  this.other = 4;
}
exports.ContactFieldCategory = new _ContactFieldCategory();

_ContactSelectionMode = function () {
  this.contacts = 0;
  this.fields = 1;
}
exports.ContactSelectionMode = new _ContactSelectionMode();

_ContactEmailKind = function () {
  this.personal = 0;
  this.work = 1;
  this.other = 2;
}
exports.ContactEmailKind = new _ContactEmailKind();

_ContactPhoneKind = function () {
  this.home = 0;
  this.mobile = 1;
  this.work = 2;
  this.other = 3;
}
exports.ContactPhoneKind = new _ContactPhoneKind();

_ContactAddressKind = function () {
  this.home = 0;
  this.work = 1;
  this.other = 2;
}
exports.ContactAddressKind = new _ContactAddressKind();

_ContactDateKind = function () {
  this.birthday = 0;
  this.anniversary = 1;
  this.other = 2;
}
exports.ContactDateKind = new _ContactDateKind();

ContactCardDelayedDataLoader = (function () {
  var cls = function ContactCardDelayedDataLoader() {
  };
  

  cls.prototype.setData = function setData(contact) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="contact" type="Contact">A param.</param>
    /// </signature>
  }


  cls.prototype.close = function close() {
}


  return cls;
}) ();
exports.ContactCardDelayedDataLoader = ContactCardDelayedDataLoader;

ContactManager = (function () {
  var cls = function ContactManager() {
  };
  

  cls.showContactCard = function showContactCard(contact, selection) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="contact" type="Contact">A param.</param>
    /// <param name="selection" type="Object">A param.</param>
    /// </signature>
  }

cls.showContactCard = function showContactCard(contact, selection, preferredPlacement) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="contact" type="Contact">A param.</param>
    /// <param name="selection" type="Object">A param.</param>
    /// <param name="preferredPlacement" type="Number">A param.</param>
    /// </signature>
  }


  cls.showDelayLoadedContactCard = function showDelayLoadedContactCard(contact, selection, preferredPlacement) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="contact" type="Contact">A param.</param>
    /// <param name="selection" type="Object">A param.</param>
    /// <param name="preferredPlacement" type="Number">A param.</param>
    /// <returns type="ContactCardDelayedDataLoader" />
    /// </signature>
    return new ContactCardDelayedDataLoader();
  }


  return cls;
}) ();
exports.ContactManager = ContactManager;

ContactLaunchActionVerbs = (function () {
  var cls = function ContactLaunchActionVerbs() {
  };
  

  cls.call = new String();
  cls.map = new String();
  cls.message = new String();
  cls.post = new String();
  cls.videoCall = new String();
  return cls;
}) ();
exports.ContactLaunchActionVerbs = ContactLaunchActionVerbs;

IContactField = (function () {
  var cls = function IContactField() {
    this.category = new ContactFieldCategory();
    this.name = new String();
    this.type = new ContactFieldType();
    this.value = new String();
  };
  

  return cls;
}) ();
exports.IContactField = IContactField;

ContactField = (function () {
  var cls = function ContactField() {
    this.category = new ContactFieldCategory();
    this.name = new String();
    this.type = new ContactFieldType();
    this.value = new String();
  };
  
var cls = function ContactField(value, type) {
      this.category = new ContactFieldCategory();
      this.name = new String();
      this.type = new ContactFieldType();
      this.value = new String();
};

var cls = function ContactField(value, type, category) {
      this.category = new ContactFieldCategory();
      this.name = new String();
      this.type = new ContactFieldType();
      this.value = new String();
};

var cls = function ContactField(name, value, type, category) {
      this.category = new ContactFieldCategory();
      this.name = new String();
      this.type = new ContactFieldType();
      this.value = new String();
};


  return cls;
}) ();
exports.ContactField = ContactField;

ContactLocationField = (function () {
  var cls = function ContactLocationField() {
    this.city = new String();
    this.country = new String();
    this.postalCode = new String();
    this.region = new String();
    this.street = new String();
    this.unstructuredAddress = new String();
    this.category = new ContactFieldCategory();
    this.name = new String();
    this.type = new ContactFieldType();
    this.value = new String();
  };
  
var cls = function ContactLocationField(unstructuredAddress) {
      this.city = new String();
      this.country = new String();
      this.postalCode = new String();
      this.region = new String();
      this.street = new String();
      this.unstructuredAddress = new String();
      this.category = new ContactFieldCategory();
      this.name = new String();
      this.type = new ContactFieldType();
      this.value = new String();
};

var cls = function ContactLocationField(unstructuredAddress, category) {
      this.city = new String();
      this.country = new String();
      this.postalCode = new String();
      this.region = new String();
      this.street = new String();
      this.unstructuredAddress = new String();
      this.category = new ContactFieldCategory();
      this.name = new String();
      this.type = new ContactFieldType();
      this.value = new String();
};

var cls = function ContactLocationField(unstructuredAddress, category, street, city, region, country, postalCode) {
      this.city = new String();
      this.country = new String();
      this.postalCode = new String();
      this.region = new String();
      this.street = new String();
      this.unstructuredAddress = new String();
      this.category = new ContactFieldCategory();
      this.name = new String();
      this.type = new ContactFieldType();
      this.value = new String();
};


  return cls;
}) ();
exports.ContactLocationField = ContactLocationField;

ContactInstantMessageField = (function () {
  var cls = function ContactInstantMessageField() {
    this.category = new ContactFieldCategory();
    this.name = new String();
    this.type = new ContactFieldType();
    this.value = new String();
    this.displayText = new String();
    this.launchUri = new Object();
    this.service = new String();
    this.userName = new String();
  };
  
var cls = function ContactInstantMessageField(userName) {
      this.category = new ContactFieldCategory();
      this.name = new String();
      this.type = new ContactFieldType();
      this.value = new String();
      this.displayText = new String();
      this.launchUri = new Object();
      this.service = new String();
      this.userName = new String();
};

var cls = function ContactInstantMessageField(userName, category) {
      this.category = new ContactFieldCategory();
      this.name = new String();
      this.type = new ContactFieldType();
      this.value = new String();
      this.displayText = new String();
      this.launchUri = new Object();
      this.service = new String();
      this.userName = new String();
};

var cls = function ContactInstantMessageField(userName, category, service, displayText, verb) {
      this.category = new ContactFieldCategory();
      this.name = new String();
      this.type = new ContactFieldType();
      this.value = new String();
      this.displayText = new String();
      this.launchUri = new Object();
      this.service = new String();
      this.userName = new String();
};


  return cls;
}) ();
exports.ContactInstantMessageField = ContactInstantMessageField;

KnownContactField = (function () {
  var cls = function KnownContactField() {
  };
  

  cls.convertNameToType = function convertNameToType(name) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="name" type="String">A param.</param>
    /// <returns type="ContactFieldType" />
    /// </signature>
    return new ContactFieldType();
  }


  cls.convertTypeToName = function convertTypeToName(type) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="type" type="ContactFieldType">A param.</param>
    /// <returns type="String" />
    /// </signature>
    return new String();
  }


  cls.email = new String();
  cls.instantMessage = new String();
  cls.location = new String();
  cls.phoneNumber = new String();
  return cls;
}) ();
exports.KnownContactField = KnownContactField;

ContactInformation = (function () {
  var cls = function ContactInformation() {
    this.customFields = new Object();
    this.emails = new Object();
    this.instantMessages = new Object();
    this.locations = new Object();
    this.name = new String();
    this.phoneNumbers = new Object();
  };
  

  cls.prototype.getThumbnailAsync = function getThumbnailAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.queryCustomFields = function queryCustomFields(customName) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="customName" type="String">A param.</param>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  return cls;
}) ();
exports.ContactInformation = ContactInformation;

Contact = (function () {
  var cls = function Contact() {
    this.thumbnail = new Object();
    this.name = new String();
    this.fields = new Object();
    this.notes = new String();
    this.id = new String();
    this.addresses = new Object();
    this.connectedServiceAccounts = new Object();
    this.dataSuppliers = new Object();
    this.emails = new Object();
    this.importantDates = new Object();
    this.jobInfo = new Object();
    this.phones = new Object();
    this.providerProperties = new Object();
    this.significantOthers = new Object();
    this.websites = new Object();
    this.honorificNamePrefix = new String();
    this.yomiFamilyName = new String();
    this.middleName = new String();
    this.lastName = new String();
    this.honorificNameSuffix = new String();
    this.yomiGivenName = new String();
    this.firstName = new String();
    this.displayName = new String();
    this.yomiDisplayName = new String();
  };
  

  return cls;
}) ();
exports.Contact = Contact;

ContactPicker = (function () {
  var cls = function ContactPicker() {
    this.selectionMode = new ContactSelectionMode();
    this.commitButtonText = new String();
    this.desiredFields = new Object();
    this.desiredFieldsWithContactFieldType = new Object();
  };
  

  cls.prototype.pickSingleContactAsync = function pickSingleContactAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.pickMultipleContactsAsync = function pickMultipleContactsAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.pickContactAsync = function pickContactAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.pickContactsAsync = function pickContactsAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  return cls;
}) ();
exports.ContactPicker = ContactPicker;

IContactFieldFactory = (function () {
  var cls = function IContactFieldFactory() {
  };
  

  cls.prototype.createField = function createField(value, type) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="String">A param.</param>
    /// <param name="type" type="ContactFieldType">A param.</param>
    /// <returns type="ContactField" />
    /// </signature>
    return new ContactField();
  }

cls.prototype.createField = function createField(value, type, category) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="String">A param.</param>
    /// <param name="type" type="ContactFieldType">A param.</param>
    /// <param name="category" type="ContactFieldCategory">A param.</param>
    /// <returns type="ContactField" />
    /// </signature>
    return new ContactField();
  }

cls.prototype.createField = function createField(name, value, type, category) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="name" type="String">A param.</param>
    /// <param name="value" type="String">A param.</param>
    /// <param name="type" type="ContactFieldType">A param.</param>
    /// <param name="category" type="ContactFieldCategory">A param.</param>
    /// <returns type="ContactField" />
    /// </signature>
    return new ContactField();
  }


  return cls;
}) ();
exports.IContactFieldFactory = IContactFieldFactory;

IContactLocationFieldFactory = (function () {
  var cls = function IContactLocationFieldFactory() {
  };
  

  cls.prototype.createLocation = function createLocation(unstructuredAddress) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="unstructuredAddress" type="String">A param.</param>
    /// <returns type="ContactLocationField" />
    /// </signature>
    return new ContactLocationField();
  }

cls.prototype.createLocation = function createLocation(unstructuredAddress, category) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="unstructuredAddress" type="String">A param.</param>
    /// <param name="category" type="ContactFieldCategory">A param.</param>
    /// <returns type="ContactLocationField" />
    /// </signature>
    return new ContactLocationField();
  }

cls.prototype.createLocation = function createLocation(unstructuredAddress, category, street, city, region, country, postalCode) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="unstructuredAddress" type="String">A param.</param>
    /// <param name="category" type="ContactFieldCategory">A param.</param>
    /// <param name="street" type="String">A param.</param>
    /// <param name="city" type="String">A param.</param>
    /// <param name="region" type="String">A param.</param>
    /// <param name="country" type="String">A param.</param>
    /// <param name="postalCode" type="String">A param.</param>
    /// <returns type="ContactLocationField" />
    /// </signature>
    return new ContactLocationField();
  }


  return cls;
}) ();
exports.IContactLocationFieldFactory = IContactLocationFieldFactory;

IContactInstantMessageFieldFactory = (function () {
  var cls = function IContactInstantMessageFieldFactory() {
  };
  

  cls.prototype.createInstantMessage = function createInstantMessage(userName) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="userName" type="String">A param.</param>
    /// <returns type="ContactInstantMessageField" />
    /// </signature>
    return new ContactInstantMessageField();
  }

cls.prototype.createInstantMessage = function createInstantMessage(userName, category) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="userName" type="String">A param.</param>
    /// <param name="category" type="ContactFieldCategory">A param.</param>
    /// <returns type="ContactInstantMessageField" />
    /// </signature>
    return new ContactInstantMessageField();
  }

cls.prototype.createInstantMessage = function createInstantMessage(userName, category, service, displayText, verb) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="userName" type="String">A param.</param>
    /// <param name="category" type="ContactFieldCategory">A param.</param>
    /// <param name="service" type="String">A param.</param>
    /// <param name="displayText" type="String">A param.</param>
    /// <param name="verb" type="Object">A param.</param>
    /// <returns type="ContactInstantMessageField" />
    /// </signature>
    return new ContactInstantMessageField();
  }


  return cls;
}) ();
exports.IContactInstantMessageFieldFactory = IContactInstantMessageFieldFactory;

ContactFieldFactory = (function () {
  var cls = function ContactFieldFactory() {
  };
  

  cls.prototype.createField = function createField(value, type) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="String">A param.</param>
    /// <param name="type" type="ContactFieldType">A param.</param>
    /// <returns type="ContactField" />
    /// </signature>
    return new ContactField();
  }

cls.prototype.createField = function createField(value, type, category) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="String">A param.</param>
    /// <param name="type" type="ContactFieldType">A param.</param>
    /// <param name="category" type="ContactFieldCategory">A param.</param>
    /// <returns type="ContactField" />
    /// </signature>
    return new ContactField();
  }

cls.prototype.createField = function createField(name, value, type, category) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="name" type="String">A param.</param>
    /// <param name="value" type="String">A param.</param>
    /// <param name="type" type="ContactFieldType">A param.</param>
    /// <param name="category" type="ContactFieldCategory">A param.</param>
    /// <returns type="ContactField" />
    /// </signature>
    return new ContactField();
  }


  cls.prototype.createLocation = function createLocation(unstructuredAddress) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="unstructuredAddress" type="String">A param.</param>
    /// <returns type="ContactLocationField" />
    /// </signature>
    return new ContactLocationField();
  }

cls.prototype.createLocation = function createLocation(unstructuredAddress, category) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="unstructuredAddress" type="String">A param.</param>
    /// <param name="category" type="ContactFieldCategory">A param.</param>
    /// <returns type="ContactLocationField" />
    /// </signature>
    return new ContactLocationField();
  }

cls.prototype.createLocation = function createLocation(unstructuredAddress, category, street, city, region, country, postalCode) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="unstructuredAddress" type="String">A param.</param>
    /// <param name="category" type="ContactFieldCategory">A param.</param>
    /// <param name="street" type="String">A param.</param>
    /// <param name="city" type="String">A param.</param>
    /// <param name="region" type="String">A param.</param>
    /// <param name="country" type="String">A param.</param>
    /// <param name="postalCode" type="String">A param.</param>
    /// <returns type="ContactLocationField" />
    /// </signature>
    return new ContactLocationField();
  }


  cls.prototype.createInstantMessage = function createInstantMessage(userName) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="userName" type="String">A param.</param>
    /// <returns type="ContactInstantMessageField" />
    /// </signature>
    return new ContactInstantMessageField();
  }

cls.prototype.createInstantMessage = function createInstantMessage(userName, category) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="userName" type="String">A param.</param>
    /// <param name="category" type="ContactFieldCategory">A param.</param>
    /// <returns type="ContactInstantMessageField" />
    /// </signature>
    return new ContactInstantMessageField();
  }

cls.prototype.createInstantMessage = function createInstantMessage(userName, category, service, displayText, verb) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="userName" type="String">A param.</param>
    /// <param name="category" type="ContactFieldCategory">A param.</param>
    /// <param name="service" type="String">A param.</param>
    /// <param name="displayText" type="String">A param.</param>
    /// <param name="verb" type="Object">A param.</param>
    /// <returns type="ContactInstantMessageField" />
    /// </signature>
    return new ContactInstantMessageField();
  }


  return cls;
}) ();
exports.ContactFieldFactory = ContactFieldFactory;

ContactSignificantOther = (function () {
  var cls = function ContactSignificantOther() {
    this.name = new String();
    this.description = new String();
  };
  

  return cls;
}) ();
exports.ContactSignificantOther = ContactSignificantOther;

ContactWebsite = (function () {
  var cls = function ContactWebsite() {
    this.uri = new Object();
    this.description = new String();
  };
  

  return cls;
}) ();
exports.ContactWebsite = ContactWebsite;

ContactEmail = (function () {
  var cls = function ContactEmail() {
    this.kind = new ContactEmailKind();
    this.description = new String();
    this.address = new String();
  };
  

  return cls;
}) ();
exports.ContactEmail = ContactEmail;

ContactPhone = (function () {
  var cls = function ContactPhone() {
    this.number = new String();
    this.kind = new ContactPhoneKind();
    this.description = new String();
  };
  

  return cls;
}) ();
exports.ContactPhone = ContactPhone;

ContactAddress = (function () {
  var cls = function ContactAddress() {
    this.streetAddress = new String();
    this.region = new String();
    this.postalCode = new String();
    this.locality = new String();
    this.kind = new ContactAddressKind();
    this.description = new String();
    this.country = new String();
  };
  

  return cls;
}) ();
exports.ContactAddress = ContactAddress;

ContactConnectedServiceAccount = (function () {
  var cls = function ContactConnectedServiceAccount() {
    this.serviceName = new String();
    this.id = new String();
  };
  

  return cls;
}) ();
exports.ContactConnectedServiceAccount = ContactConnectedServiceAccount;

ContactDate = (function () {
  var cls = function ContactDate() {
    this.year = new Number();
    this.month = new Number();
    this.kind = new ContactDateKind();
    this.description = new String();
    this.day = new Number();
  };
  

  return cls;
}) ();
exports.ContactDate = ContactDate;

ContactJobInfo = (function () {
  var cls = function ContactJobInfo() {
    this.title = new String();
    this.office = new String();
    this.manager = new String();
    this.description = new String();
    this.department = new String();
    this.companyYomiName = new String();
    this.companyName = new String();
    this.companyAddress = new String();
  };
  

  return cls;
}) ();
exports.ContactJobInfo = ContactJobInfo;

